#include <bits/stdc++.h>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int t;
	cin>>t;
	bool o[t];
	for(int i=0;i<t;i++){
		int n,k,m;
		
		cin>>n>>m>>k;
		
		int a[k];
		if(m<n or n<k){
			o[i]=false;
			break;
		}
		for(int j=0;j<k;j++){
			a[j]=n/k;
		}
		int p=n%k;
		for(int r=0;r<p;r++){
			a[r]++;
		}
		int s=0;
		for(int y=0;y<k;y++){
			int u=a[y];
			s+=(u*(u+1))/2;
		}
		if(s<=m)o[i]=true;
		else o[i]=false;
		
		
	}
	for(int i=0;i<t;i++){
		if(o[i])cout<<"Tak"<<endl;
		else cout<<"Nie"<<endl;
	}
	return 0;
}